Schema "fpml-business-events-5-3.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/reporting

Version:

  $Revision: 8615 $

Defined Components:

  3 global elements, 107 local elements, 21 complexTypes, 10 element groups

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Irina-Local\SVN-FpML\trunk\xml\reporting\fpml-business-events-5-3.xsd; see XML source

Includes Schemas (2):

  fpml-asset-5-3.xsd [src], fpml-msg-5-3.xsd [src]

Included in Schemas (4):

  fpml-collateral-processes-5-3.xsd [src], fpml-reconciliation-5-3.xsd [src], fpml-valuation-5-3.xsd [src], fpml-valuation-reporting-5-3.xsd [src]

All Element Summary
additionalEvent | The additionalEvent element is an extension/substitution point to customize FpML and add additional events.
Type: | AdditionalEvent
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Defined: | globally; see XML source
Used: | at 1 location
agreementDate | The date on which the change was agreed.
Type: | xsd:date
Content: | simple
Defined: | locally witnin AgreementAndEffectiveDates.model group; see XML source
amendment |
Type: | TradeAmendmentContent
Content: | complex, 5 elements
Defined: | locally witnin Events.model group; see XML source
cashSettlement (in optionExercise) |
Type: | SimplePayment
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin OptionExercise complexType; see XML source
changeEvent | Abstract substitutable place holder for specific change details.
Type: | ChangeEvent
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | may be substituted with 1 element
Defined: | globally; see XML source
Used: | at 2 locations
changeInNotionalAmount | Specifies the fixed amount by which the Notional Amount changes
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin TradeNotionalChange complexType; see XML source
changeInNumberOfOptions | Specifies the fixed amount by which the Number of Options changes
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin TradeNotionalChange complexType; see XML source
changeInNumberOfUnits | Specifies the fixed amount by which the Number of Units changes
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin TradeNotionalChange complexType; see XML source
compressionActivity | Compression information for the trade.
Type: | CompressionActivity
Content: | complex, 3 elements
Defined: | locally witnin Compression.model group; see XML source
compressionType |
Type: | CompressionType
Content: | simple, 1 attribute
Defined: | locally witnin CompressionActivity complexType; see XML source
contractualDefinitions (in novation) | The definitions (such as those published by ISDA) that will define the terms of the novation transaction.
Type: | ContractualDefinitions
Content: | simple, 1 attribute
Defined: | locally witnin TradeNovationContent complexType; see XML source
contractualTermsSupplement (in novation) | A contractual supplement (such as those published by ISDA) that will apply to the trade.
Type: | ContractualTermsSupplement
Content: | complex, 2 elements
Defined: | locally witnin TradeNovationContent complexType; see XML source
creditDerivativesNotices | This element should be specified if one or more of either a Credit Event Notice, Notice of Publicly Available Information, Notice of Physical Settlement or Notice of Intended Physical Settlement, as applicable, has been delivered by or to the Transferor or the Remaining Party.
Type: | CreditDerivativesNotices
Content: | complex, 3 elements
Defined: | locally witnin TradeNovationContent complexType; see XML source
date (in optionExpiry defined in Events.model group) |
Type: | xsd:date
Content: | simple
Defined: | locally witnin OptionExpiry complexType; see XML source
date (in optionExpiry in terminatingEventsReport) |
Type: | xsd:date
Content: | simple
Defined: | locally witnin OptionExpiryBase complexType; see XML source
date (in tradeMaturity) |
Type: | xsd:date
Content: | simple
Defined: | locally witnin TradeMaturity complexType; see XML source
deClear |
Type: | DeClear
Content: | complex, 2 elements
Defined: | locally witnin Events.model group; see XML source
difference (defined in ProposedMatch.model group) | A type used to record the details of a difference between two sides of a business event.
Type: | TradeDifference
Content: | complex, 10 elements
Defined: | locally witnin ProposedMatch.model group; see XML source
effectiveDate (defined in AgreementAndEffectiveDates.model group) | The date on which the change become effective.
Type: | xsd:date
Content: | simple
Defined: | locally witnin AgreementAndEffectiveDates.model group; see XML source
effectiveDate (defined in TradeChangeContent complexType) | The date on which the change become effective
Type: | xsd:date
Content: | simple
Defined: | locally witnin TradeChangeContent complexType; see XML source
effectiveDate (in deClear) |
Type: | xsd:date
Content: | simple
Defined: | locally witnin DeClear complexType; see XML source
executionDateTime (defined in AgreementAndEffectiveDates.model group) | The date and time at which the change was agreed.
Type: | ExecutionDateTime
Content: | simple, 1 attribute
Defined: | locally witnin AgreementAndEffectiveDates.model group; see XML source
executionDateTime (in novation) | The date and time at which the change was agreed.
Type: | ExecutionDateTime
Content: | simple, 1 attribute
Defined: | locally witnin TradeNovationContent complexType; see XML source
exerciseDate |
Type: | xsd:date
Content: | simple
Defined: | locally witnin OptionExercise complexType; see XML source
exerciseInNotionalAmount | Specifies the fixed amount by which the option should be exercised expressed as notional amount.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin OptionExercise complexType; see XML source
exerciseInNumberOfOptions | Specifies the fixed amount by which the option should be exercised expressed as number of options.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin OptionExercise complexType; see XML source
exerciseInNumberOfUnits | Specifies the fixed amount by which the option should be exercised express as number of units.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin OptionExercise complexType; see XML source
exerciseProcedure (in optionExpiry defined in Events.model group) |
Type: | ExerciseProcedureOption
Content: | complex, 2 elements
Defined: | locally witnin OptionExpiry complexType; see XML source
exerciseTime |
Type: | xsd:time
Content: | simple
Defined: | locally witnin OptionExercise complexType; see XML source
expiry |
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin OptionExercise complexType; see XML source
factoredCalculationAmount |
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin IndexChange complexType; see XML source
firstPeriodStartDate (in novation) | Element that is used to be able to make sense of the “new transaction” without requiring reference back to the “old transaction”.
Type: | FirstPeriodStartDate
Content: | simple, 1 attribute
Defined: | locally witnin TradeNovationContent complexType; see XML source
fullExercise |
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin OptionExercise complexType; see XML source
fullFirstCalculationPeriod | This element corresponds to the applicability of the Full First Calculation Period as defined in the 2004 ISDA Novation Definitions, section 1.20.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin TradeNovationContent complexType; see XML source
increase |
Type: | TradeNotionalChange
Content: | complex, 12 elements
Defined: | locally witnin Events.model group; see XML source
indexChange | Describes a change due to an index component being adjusted.
Type: | IndexChange
Content: | complex, 2 elements
Subst.Gr: | may substitute for element changeEvent
Defined: | globally; see XML source
Used: | never
indexFactor |
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin IndexChange complexType; see XML source
matchId (defined in ProposedMatch.model group) | A unique identifier assigned by the matching service to each set of matched positions.
Type: | MatchId
Content: | simple, 1 attribute
Defined: | locally witnin ProposedMatch.model group; see XML source
matchScore | Numeric score to represent the quality of the match.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin ProposedMatch.model group; see XML source
newTrade | Indicates the original trade between the transferor and the remaining party.
Type: | Trade
Content: | complex, 1 attribute, 12 elements
Defined: | locally witnin TradeNovationContent complexType; see XML source
newTradeIdentifier | Indicates a reference to the new trade between the transferee and the remaining party.
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin TradeNovationContent complexType; see XML source
nonReliance (in novation) | This element corresponds to the non-Reliance section in the 2004 ISDA Novation Definitions, section 2.1 (c) (i).
Type: | Empty
Content: | empty
Defined: | locally witnin TradeNovationContent complexType; see XML source
novatedAmount | The amount which represents the portion of the Old Contract being novated.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin TradeNovationContent complexType; see XML source
novatedNumberOfOptions | The number of options which represent the portion of the Old Contract being novated.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin TradeNovationContent complexType; see XML source
novatedNumberOfUnits | The number of options which represent the portion of the Old Contract being novated.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin TradeNovationContent complexType; see XML source
novation |
Type: | TradeNovationContent
Content: | complex, 28 elements
Defined: | locally witnin Events.model group; see XML source
novationDate | Specifies the date that one party's legal obligations with regard to a trade are transferred to another party.
Type: | xsd:date
Content: | simple
Defined: | locally witnin TradeNovationContent complexType; see XML source
novationTradeDate | Specifies the date the parties agree to assign or novate a Contract.
Type: | xsd:date
Content: | simple
Defined: | locally witnin TradeNovationContent complexType; see XML source
oldTrade (defined in TradeChangeContent complexType) | The original trade details.
Type: | Trade
Content: | complex, 1 attribute, 12 elements
Defined: | locally witnin TradeChangeContent complexType; see XML source
oldTrade (in novation) | Indicates the original trade between the transferor and the remaining party.
Type: | Trade
Content: | complex, 1 attribute, 12 elements
Defined: | locally witnin TradeNovationContent complexType; see XML source
oldTradeIdentifier (defined in TradeChangeContent complexType) | The original qualified trade identifier.
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin TradeChangeContent complexType; see XML source
oldTradeIdentifier (in novation) | Indicates a reference to the original trade between the transferor and the remaining party.
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin TradeNovationContent complexType; see XML source
optionBuyer |
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin OptionExercise complexType; see XML source
optionExercise |
Type: | OptionExercise
Content: | complex, 17 elements
Defined: | locally witnin Events.model group; see XML source
optionExpiry (defined in Events.model group) |
Type: | OptionExpiry
Content: | complex, 4 elements
Defined: | locally witnin Events.model group; see XML source
optionExpiry (in terminatingEventsReport) |
Type: | OptionExpiryBase
Content: | complex, 3 elements
Defined: | locally witnin MaturityAndExpiryEvents.model group; see XML source
optionSeller |
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin OptionExercise complexType; see XML source
originalTrade |
Type: | Trade
Content: | complex, 1 attribute, 12 elements
Defined: | locally witnin TradeChangeBase complexType; see XML source
originatingEvent (defined in Events.model group) |
Type: | OriginatingEvent
Content: | simple, 1 attribute
Defined: | locally witnin Events.model group; see XML source
originatingEvent (defined in TradeOrInfo.model group) |
Type: | OriginatingEvent
Content: | simple, 1 attribute
Defined: | locally witnin TradeOrInfo.model group; see XML source
originatingEvent (in tradeReferenceInformation) |
Type: | OriginatingEvent
Content: | simple, 1 attribute
Defined: | locally witnin TradeReferenceInformationContents.model group; see XML source
originatingTradeId |
Type: | TradeId
Content: | simple, 2 attributes
Defined: | locally witnin CompressionActivity complexType; see XML source
otherRemainingParty | A pointer style reference to a party identifier defined elsewhere in the document.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin TradeNovationContent complexType; see XML source
otherRemainingPartyAccount |
Type: | AccountReference
Content: | empty, 1 attribute
Defined: | locally witnin TradeNovationContent complexType; see XML source
outstandingNotionalAmount (defined in TradeNotionalChange complexType) | Specifies the Notional amount after the Change
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin TradeNotionalChange complexType; see XML source
outstandingNotionalAmount (in optionExercise) | Specifies the Notional amount after the Change
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin OptionExercise complexType; see XML source
outstandingNumberOfOptions (defined in TradeNotionalChange complexType) | Specifies the Number of Options after the Change.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin TradeNotionalChange complexType; see XML source
outstandingNumberOfOptions (in optionExercise) | Specifies the Number of Options after the Change.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin OptionExercise complexType; see XML source
outstandingNumberOfUnits (defined in TradeNotionalChange complexType) | Specifies the Number of Units
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin TradeNotionalChange complexType; see XML source
outstandingNumberOfUnits (in optionExercise) | Specifies the Number of Units
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin OptionExercise complexType; see XML source
partyTradeIdentifier (in tradeReferenceInformation) | This allows the acknowledging party to supply additional trade identifiers for a trade underlying a request relating to a business event.
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin TradeReferenceInformationContents.model group; see XML source
partyTradeInformation (in tradeReferenceInformation) | This allows the acknowledging party to supply additional trade information about a trade underlying a request relating to a business event.
Type: | PartyTradeInformation
Content: | complex, 25 elements
Defined: | locally witnin TradeReferenceInformationContents.model group; see XML source
payment (defined in TradeAlterationPayment.model group) | Describes a payment made in settlement of the change.
Type: | Payment
Content: | complex, 2 attributes, 10 elements
Defined: | locally witnin TradeAlterationPayment.model group; see XML source
payment (defined in TradeChangeContent complexType) | Describes a payment made in settlement of the change.
Type: | Payment
Content: | complex, 2 attributes, 10 elements
Defined: | locally witnin TradeChangeContent complexType; see XML source
payment (in novation) | Describes a payment made in settlement of the novation.
Type: | Payment
Content: | complex, 2 attributes, 10 elements
Defined: | locally witnin TradeNovationContent complexType; see XML source
payment (in optionExercise) |
Type: | NonNegativePayment
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin OptionExercise complexType; see XML source
physicalSettlement (in optionExercise) |
Type: | PhysicalSettlement
Content: | complex, 3 elements
Defined: | locally witnin OptionExercise complexType; see XML source
productId (in tradeReferenceInformation) |
Type: | ProductId
Content: | simple, 1 attribute
Defined: | locally witnin TradeReferenceInformationContents.model group; see XML source
productType (in tradeReferenceInformation) |
Type: | ProductType
Content: | simple, 1 attribute
Defined: | locally witnin TradeReferenceInformationContents.model group; see XML source
quote (defined in EventValuation.model group) | Pricing information for the trade.
Type: | BasicQuotation
Content: | complex, 1 attribute, 14 elements
Defined: | locally witnin EventValuation.model group; see XML source
remainingAmount | The amount which represents the portion of the Old Contract not being novated.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin TradeNovationContent complexType; see XML source
remainingNumberOfOptions | The number of options which represent the portion of the Old Contract not being novated.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin TradeNovationContent complexType; see XML source
remainingNumberOfUnits | The number of options which represent the portion of the Old Contract not being novated.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin TradeNovationContent complexType; see XML source
remainingParty | A pointer style reference to a party identifier defined elsewhere in the document.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin TradeNovationContent complexType; see XML source
remainingPartyAccount |
Type: | AccountReference
Content: | empty, 1 attribute
Defined: | locally witnin TradeNovationContent complexType; see XML source
replacementTradeId |
Type: | TradeId
Content: | simple, 2 attributes
Defined: | locally witnin CompressionActivity complexType; see XML source
resultingTrade | The trade that resulted from the physical settlement.
Type: | Trade
Content: | complex, 1 attribute, 12 elements
Defined: | locally witnin PhysicalSettlement complexType; see XML source
resultingTradeIdentifier | The ID of the trade that resulted from the physical settlement.
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin PhysicalSettlement complexType; see XML source
settlementType (in optionExercise) |
Type: | SettlementTypeEnum
Content: | simple
Defined: | locally witnin OptionExercise complexType; see XML source
terminatingEvent (defined in Events.model group) |
Type: | TerminatingEvent
Content: | simple, 1 attribute
Defined: | locally witnin Events.model group; see XML source
terminatingEvent (in tradeReferenceInformation) |
Type: | TerminatingEvent
Content: | simple, 1 attribute
Defined: | locally witnin TradeReferenceInformationContents.model group; see XML source
termination |
Type: | TradeNotionalChange
Content: | complex, 12 elements
Defined: | locally witnin Events.model group; see XML source
time (in optionExpiry defined in Events.model group) |
Type: | xsd:time
Content: | simple
Defined: | locally witnin OptionExpiry complexType; see XML source
time (in optionExpiry in terminatingEventsReport) |
Type: | xsd:time
Content: | simple
Defined: | locally witnin OptionExpiryBase complexType; see XML source
trade (defined in Events.model group) |
Type: | Trade
Content: | complex, 1 attribute, 12 elements
Defined: | locally witnin Events.model group; see XML source
trade (defined in TradeChangeContent complexType) | A full description of the amended trade.
Type: | Trade
Content: | complex, 1 attribute, 12 elements
Defined: | locally witnin TradeChangeContent complexType; see XML source
trade (defined in TradeOrInfo.model group) |
Type: | Trade
Content: | complex, 1 attribute, 12 elements
Defined: | locally witnin TradeOrInfo.model group; see XML source
trade (in amendment) | A fulll description of the amended trade (i.e. the trade after the amendment).
Type: | Trade
Content: | complex, 1 attribute, 12 elements
Defined: | locally witnin TradeAmendmentContent complexType; see XML source
tradeIdentifier (defined in TradeChangeBase complexType) |
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin TradeChangeBase complexType; see XML source
tradeIdentifier (in deClear) |
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin DeClear complexType; see XML source
tradeIdentifier (in optionExercise) |
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin OptionExercise complexType; see XML source
tradeIdentifier (in optionExpiry defined in Events.model group) |
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin OptionExpiry complexType; see XML source
tradeIdentifier (in optionExpiry in terminatingEventsReport) |
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin OptionExpiryBase complexType; see XML source
tradeIdentifier (in tradeMaturity) |
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin TradeMaturity complexType; see XML source
tradeMaturity |
Type: | TradeMaturity
Content: | complex, 2 elements
Defined: | locally witnin MaturityAndExpiryEvents.model group; see XML source
tradeReferenceInformation | Information about a trade.
Type: | TradeReferenceInformation
Content: | complex, 6 elements
Defined: | locally witnin TradeReferenceInformation.model group; see XML source
transferee | A pointer style reference to a party identifier defined elsewhere in the document.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin TradeNovationContent complexType; see XML source
transfereeAccount |
Type: | AccountReference
Content: | empty, 1 attribute
Defined: | locally witnin TradeNovationContent complexType; see XML source
transferor | A pointer style reference to a party identifier defined elsewhere in the document.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin TradeNovationContent complexType; see XML source
transferorAccount |
Type: | AccountReference
Content: | empty, 1 attribute
Defined: | locally witnin TradeNovationContent complexType; see XML source

Complex Type Summary
AdditionalEvent | Abstract base type for an extension/substitution point to customize FpML and add additional events.
Content: | empty
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Used: | at 1 location
ChangeEvent | Abstract base type for non-negotiated trade change descriptions
Content: | empty
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Used: | at 2 locations
CompressionActivity | A type that shows how multiple trades have been combined into a result.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
CompressionType | A type that identifies the type of trade amalgamation, for example netting or portfolio compression.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
DeClear | A structure describing an de-clear event.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
EventProposedMatch |
Content: | complex, 14 elements
Defined: | globally; see XML source
Used: | never
EventsChoice |
Content: | complex, 11 elements
Defined: | globally; see XML source
Used: | never
IndexChange | A structure describing the effect of a change to an index.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
OptionExercise | A structure describing an option exercise.
Content: | complex, 17 elements
Defined: | globally; see XML source
Includes: | definitions of 17 elements
Used: | at 1 location
OptionExpiry | A structure describing an option expiring.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
OptionExpiryBase | A structure describing an option expiring.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
PhysicalExercise |
Content: | complex, 2 elements
Defined: | globally; see XML source
Used: | never
PhysicalSettlement |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
TerminatingEvent |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
TradeAmendmentContent | A structure describing a negotiated amendment.
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
TradeChangeBase | A structure describing a trade change.
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
TradeChangeContent | A structure describing a non-negotiated trade resulting from a market event.
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | never
TradeMaturity | A structure describing a trade maturing.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
TradeNotionalChange | A structure describing a change to the trade notional.
Content: | complex, 12 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 2 locations
TradeNovationContent | A structure describing a novation.
Content: | complex, 28 elements
Defined: | globally; see XML source
Includes: | definitions of 28 elements
Used: | at 1 location
TradeReferenceInformation | Defines a type that allows trade identifiers and/or trade information to be represented for a trade.
Content: | complex, 6 elements
Defined: | globally; see XML source
Used: | at 1 location

Element Group Summary
AgreementAndEffectiveDates.model | A model group defining agreement and effective dates.
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations
Compression.model | A model group holding information about compressions affecting this trade/event.
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never
Events.model | Choice between a trade and a post-trade event.
Content: | 11 elements
Defined: | globally; see XML source
Includes: | definitions of 11 elements
Used: | at 5 locations
EventValuation.model | A model group holding valuation information for an event.
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never
MaturityAndExpiryEvents.model |
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
ProposedMatch.model |
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 3 locations
TradeAlterationPayment.model | A model group defining a payment structure.
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
TradeOrInfo.model | Defines a model group that allows either details of an event or information about a trade to be provided.
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
TradeReferenceInformation.model | Defines a model group that allows information about a trade to be represented.
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
TradeReferenceInformationContents.model | Defines a model group that allows trade identifiers and/or trade information to be represented.
Content: | 6 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2011 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="rpt" ecore:package="org.fpml.reporting" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/reporting" version="$Revision: 8615 $" xmlns="http://www.fpml.org/FpML-5/reporting" xmlns:dsig="http://www.w3.org/2000/09/xmldsig#" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:view="http://www.fpml.org/views" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-msg-5-3.xsd"/> <xsd:include schemaLocation="fpml-asset-5-3.xsd"/> <xsd:complexType abstract="true" name="AdditionalEvent"> <xsd:annotation> <xsd:documentation> Abstract base type for an extension/substitution point to customize FpML and add additional events. </xsd:documentation> </xsd:annotation> </xsd:complexType> <xsd:complexType abstract="true" name="ChangeEvent"> <xsd:annotation> <xsd:documentation> Abstract base type for non-negotiated trade change descriptions </xsd:documentation> </xsd:annotation> </xsd:complexType> <xsd:complexType name="CompressionActivity"> <xsd:annotation> <xsd:documentation> A type that shows how multiple trades have been combined into a result. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="compressionType" type="CompressionType"/> <xsd:element minOccurs="0" name="replacementTradeId" type="TradeId"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="originatingTradeId" type="TradeId"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CompressionType"> <xsd:annotation> <xsd:documentation> A type that identifies the type of trade amalgamation, for example netting or portfolio compression. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/compression-type" name="compressionTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="DeClear"> <xsd:annotation> <xsd:documentation>A structure describing an de-clear event.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element minOccurs="0" name="effectiveDate" type="xsd:date"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="EventProposedMatch"> <xsd:sequence> <xsd:group ref="Events.model"/> <xsd:group ref="ProposedMatch.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="EventsChoice"> <xsd:sequence> <xsd:group ref="Events.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="IndexChange"> <xsd:annotation> <xsd:documentation> A structure describing the effect of a change to an index. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="ChangeEvent"> <xsd:sequence> <xsd:element minOccurs="0" name="indexFactor" type="xsd:decimal"/> <xsd:element minOccurs="0" name="factoredCalculationAmount" type="Money"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="OptionExercise"> <xsd:annotation> <xsd:documentation>A structure describing an option exercise.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="optionSeller" type="PartyReference"/> <xsd:element minOccurs="0" name="optionBuyer" type="PartyReference"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element minOccurs="0" name="exerciseDate" type="xsd:date"/> <xsd:element minOccurs="0" name="exerciseTime" type="xsd:time"/> <xsd:choice> <xsd:element minOccurs="0" name="expiry" type="xsd:boolean"/> <xsd:element minOccurs="0" name="fullExercise" type="xsd:boolean"/> <xsd:sequence> <xsd:element minOccurs="0" name="exerciseInNotionalAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the fixed amount by which the option should be exercised expressed as notional amount. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="outstandingNotionalAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the Notional amount after the Change</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="exerciseInNumberOfOptions" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the fixed amount by which the option should be exercised expressed as number of options. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="outstandingNumberOfOptions" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the Number of Options after the Change.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="exerciseInNumberOfUnits" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the fixed amount by which the option should be exercised express as number of units. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="outstandingNumberOfUnits" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the Number of Units</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:choice> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="settlementType" type="SettlementTypeEnum"/> <xsd:element name="cashSettlement" type="SimplePayment"/> <xsd:element name="physicalSettlement" type="PhysicalSettlement"> <!--plugged GEM/CICTO proposal here (InstrumentTrade) --> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="payment" type="NonNegativePayment"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="OptionExpiry"> <xsd:annotation> <xsd:documentation>A structure describing an option expiring.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element minOccurs="0" name="date" type="xsd:date"/> <xsd:element minOccurs="0" name="time" type="xsd:time"/> <xsd:element minOccurs="0" name="exerciseProcedure" type="ExerciseProcedureOption"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="OptionExpiryBase"> <xsd:annotation> <xsd:documentation>A structure describing an option expiring.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element minOccurs="0" name="date" type="xsd:date"/> <xsd:element minOccurs="0" name="time" type="xsd:time"/> </xsd:sequence> <!-- Lyteck 3/16/2011: added base type to accomodate Maturity Notification (no need for exerciseProcedure) --> </xsd:complexType> <xsd:complexType name="PhysicalSettlement"> <xsd:choice> <xsd:element minOccurs="0" name="resultingTradeIdentifier" type="PartyTradeIdentifier"> <xsd:annotation> <xsd:documentation> The ID of the trade that resulted from the physical settlement. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="resultingTrade" type="Trade"> <xsd:annotation> <xsd:documentation> The trade that resulted from the physical settlement. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" ref="product"/> <!-- the economics of the trade resulted from the physical settlement --> </xsd:choice> </xsd:complexType> <xsd:complexType name="PhysicalExercise"> <xsd:sequence> <xsd:group ref="TradeOrTradeReference.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="TerminatingEvent"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/terminating-event" name="terminatingEventScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="TradeAmendmentContent"> <xsd:annotation> <xsd:documentation>A structure describing a negotiated amendment.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="trade" type="Trade"> <xsd:annotation> <xsd:documentation> A fulll description of the amended trade (i.e. the trade after the amendment). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="AgreementAndEffectiveDates.model"/> <xsd:group ref="TradeAlterationPayment.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="TradeChangeBase"> <xsd:annotation> <xsd:documentation>A structure describing a trade change.</xsd:documentation> </xsd:annotation> <xsd:sequence> <!-- choice of trade ID or complete original change added for SDR reporting 2011-03 BAL --> <xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element minOccurs="0" name="originalTrade" type="Trade"/> </xsd:choice> <xsd:group ref="AgreementAndEffectiveDates.model"/> <xsd:group ref="TradeAlterationPayment.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="TradeChangeContent"> <xsd:annotation> <xsd:documentation> A structure describing a non-negotiated trade resulting from a market event. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="oldTradeIdentifier" type="PartyTradeIdentifier"> <xsd:annotation> <xsd:documentation>The original qualified trade identifier.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="oldTrade" type="Trade"> <xsd:annotation> <xsd:documentation>The original trade details.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="trade" type="Trade"> <xsd:annotation> <xsd:documentation>A full description of the amended trade.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="effectiveDate" type="xsd:date"> <xsd:annotation> <xsd:documentation>The date on which the change become effective</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" ref="changeEvent"> <xsd:annotation> <xsd:documentation>Substitution point for types of change</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="payment" type="Payment"> <xsd:annotation> <xsd:documentation> Describes a payment made in settlement of the change. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="TradeMaturity"> <xsd:annotation> <xsd:documentation>A structure describing a trade maturing.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element minOccurs="0" name="date" type="xsd:date"/> </xsd:sequence> <!-- Brian 4/14/2011: added type to accomodate Maturity Notification --> </xsd:complexType> <xsd:complexType name="TradeNotionalChange"> <xsd:annotation> <xsd:documentation> A structure describing a change to the trade notional. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="TradeChangeBase"> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="changeInNotionalAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the fixed amount by which the Notional Amount changes </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="outstandingNotionalAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the Notional amount after the Change</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="changeInNumberOfOptions" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the fixed amount by which the Number of Options changes </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="outstandingNumberOfOptions" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the Number of Options after the Change.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="changeInNumberOfUnits" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the fixed amount by which the Number of Units changes </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="outstandingNumberOfUnits" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the Number of Units</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:choice> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="TradeNovationContent"> <xsd:annotation> <xsd:documentation>A structure describing a novation.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice> <xsd:sequence> <xsd:annotation> <xsd:documentation xml:lang="en"> Choice between identification and representation of the old contract. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="oldTradeIdentifier" type="PartyTradeIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates a reference to the original trade between the transferor and the remaining party. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="oldTrade" type="Trade"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates the original trade between the transferor and the remaining party. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:choice minOccurs="0"> <xsd:annotation> <xsd:documentation xml:lang="en"> Choice between identification and representation of the new contract. </xsd:documentation> </xsd:annotation> <xsd:element maxOccurs="unbounded" minOccurs="0" name="newTradeIdentifier" type="PartyTradeIdentifier"> <xsd:annotation> <xsd:documentation> Indicates a reference to the new trade between the transferee and the remaining party. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="newTrade" type="Trade"> <xsd:annotation> <xsd:documentation> Indicates the original trade between the transferor and the remaining party. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:sequence> </xsd:choice> <xsd:element minOccurs="0" name="transferor" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to a party identifier defined elsewhere in the document. In a three-way novation the party referenced is the Transferor (outgoing party) in the novation. The Transferor means a party which transfers by novation to a Transferee all of its rights, liabilities, duties and obligations with respect to a Remaining Party. In a four-way novation the party referenced is Transferor 1 which transfers by novation to Transferee 1 all of its rights, liabilities, duties and obligations with respect to Transferor 2. ISDA 2004 Novation Term: Transferor (three-way novation) or Transferor 1 (four-way novation). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="transferorAccount" type="AccountReference"/> <xsd:element minOccurs="0" name="transferee" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to a party identifier defined elsewhere in the document. In a three-way novation the party referenced is the Transferee (incoming party) in the novation. Transferee means a party which accepts by way of novation all rights, liabilities, duties and obligations of a Transferor with respect to a Remaining Party. In a four-way novation the party referenced is Transferee 1 which accepts by way of novation the rights, liabilities, duties and obligations of Transferor 1. ISDA 2004 Novation Term: Transferee (three-way novation) or Transferee 1 (four-way novation). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="transfereeAccount" type="AccountReference"/> <xsd:element minOccurs="0" name="remainingParty" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to a party identifier defined elsewhere in the document. In a three-way novation the party referenced is the Remaining Party in the novation. Remaining Party means a party which consents to a Transferor's transfer by novation and the acceptance thereof by the Transferee of all of the Transferor's rights, liabilities, duties and obligations with respect to such Remaining Party under and with respect of the Novated Amount of a transaction. In a four-way novation the party referenced is Transferor 2 per the ISDA definition and acts in the role of a Transferor. Transferor 2 transfers by novation to Transferee 2 all of its rights, liabilities, duties and obligations with respect to Transferor 1. ISDA 2004 Novation Term: Remaining Party (three-way novation) or Transferor 2 (four-way novation). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="remainingPartyAccount" type="AccountReference"/> <xsd:element minOccurs="0" name="otherRemainingParty" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to a party identifier defined elsewhere in the document. This element is not applicable in a three-way novation and should be omitted. In a four-way novation the party referenced is Transferee 2. Transferee 2 means a party which accepts by way of novation the rights, liabilities, duties and obligations of Transferor 2. ISDA 2004 Novation Term: Transferee 2 (four-way novation). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="otherRemainingPartyAccount" type="AccountReference"/> <xsd:element minOccurs="0" name="novationDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the date that one party's legal obligations with regard to a trade are transferred to another party. It corresponds to the Novation Date section of the 2004 ISDA Novation Definitions, section 1.16. </xsd:documentation> </xsd:annotation> </xsd:element> <!-- added BAL 2011-03 for SDR reporting --> <xsd:element minOccurs="0" name="executionDateTime" type="ExecutionDateTime"> <xsd:annotation> <xsd:documentation>The date and time at which the change was agreed.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="novationTradeDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the date the parties agree to assign or novate a Contract. If this element is not specified, the novationContractDate will be deemed to be the novationDate. It corresponds to the Novation Trade Date section of the 2004 ISDA Novation Definitions, section 1.17. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice> <xsd:annotation> <xsd:documentation xml:lang="en"> Choice for expressing the novated amount as either a money amount, number of options, or number of units, according the the financial product which is being novated. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="novatedAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> The amount which represents the portion of the Old Contract being novated. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="remainingAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> The amount which represents the portion of the Old Contract not being novated. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="novatedNumberOfOptions" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of options which represent the portion of the Old Contract being novated. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="remainingNumberOfOptions" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of options which represent the portion of the Old Contract not being novated. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="novatedNumberOfUnits" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of options which represent the portion of the Old Contract being novated. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="remainingNumberOfUnits" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of options which represent the portion of the Old Contract not being novated. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:choice> <xsd:element minOccurs="0" name="fullFirstCalculationPeriod" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> This element corresponds to the applicability of the Full First Calculation Period as defined in the 2004 ISDA Novation Definitions, section 1.20. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="2" minOccurs="0" name="firstPeriodStartDate" type="FirstPeriodStartDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Element that is used to be able to make sense of the &#8220;new transaction&#8221; without requiring reference back to the &#8220;old transaction&#8221;. In the case of interest rate products there are potentially 2 &#8220;first period start dates&#8221; to reference &#8211; one with respect to each party to the new transaction. For Credit Default Swaps there is just the one with respect to the party that is the fixed rate payer. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="nonReliance" type="Empty"> <xsd:annotation> <xsd:documentation xml:lang="en"> This element corresponds to the non-Reliance section in the 2004 ISDA Novation Definitions, section 2.1 (c) (i). The element appears in the instance document when non-Reliance is applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="creditDerivativesNotices" type="CreditDerivativesNotices"> <xsd:annotation> <xsd:documentation xml:lang="en"> This element should be specified if one or more of either a Credit Event Notice, Notice of Publicly Available Information, Notice of Physical Settlement or Notice of Intended Physical Settlement, as applicable, has been delivered by or to the Transferor or the Remaining Party. The type of notice or notices that have been delivered should be indicated by setting the relevant boolean element value(s) to true. The absence of the element means that no Credit Event Notice, Notice of Publicly Available Information, Notice of Physical Settlement or Notice of Intended Physical Settlement, as applicable, has been delivered by or to the Transferor or the Remaining Party. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="contractualDefinitions" type="ContractualDefinitions"> <xsd:annotation> <xsd:documentation xml:lang="en"> The definitions (such as those published by ISDA) that will define the terms of the novation transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="contractualTermsSupplement" type="ContractualTermsSupplement"> <xsd:annotation> <xsd:documentation xml:lang="en"> A contractual supplement (such as those published by ISDA) that will apply to the trade. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="payment" type="Payment"> <xsd:annotation> <xsd:documentation> Describes a payment made in settlement of the novation. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="TradeReferenceInformation"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines a type that allows trade identifiers and/or trade information to be represented for a trade. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="TradeReferenceInformationContents.model"/> </xsd:sequence> </xsd:complexType> <xsd:element abstract="true" name="additionalEvent" type="AdditionalEvent"> <xsd:annotation> <xsd:documentation xml:lang="en"> The additionalEvent element is an extension/substitution point to customize FpML and add additional events. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element abstract="true" name="changeEvent" type="ChangeEvent"> <xsd:annotation> <xsd:documentation> Abstract substitutable place holder for specific change details. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="indexChange" substitutionGroup="changeEvent" type="IndexChange"> <xsd:annotation> <xsd:documentation> Describes a change due to an index component being adjusted. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group name="AgreementAndEffectiveDates.model"> <xsd:annotation> <xsd:documentation> A model group defining agreement and effective dates. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="agreementDate" type="xsd:date"> <xsd:annotation> <xsd:documentation>The date on which the change was agreed.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="executionDateTime" type="ExecutionDateTime"> <xsd:annotation> <xsd:documentation>The date and time at which the change was agreed.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="effectiveDate" type="xsd:date"> <xsd:annotation> <xsd:documentation>The date on which the change become effective.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="Compression.model"> <xsd:annotation> <xsd:documentation> A model group holding information about compressions affecting this trade/event. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="compressionActivity" type="CompressionActivity"> <xsd:annotation> <xsd:documentation xml:lang="en">Compression information for the trade.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <!-- BAL - added 2011-10-18 to address gaps with DTCC requirements --> <xsd:group name="Events.model"> <xsd:annotation> <xsd:documentation xml:lang="en">Choice between a trade and a post-trade event.</xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="originatingEvent" type="OriginatingEvent"/> <xsd:element minOccurs="0" name="trade" type="Trade"/> </xsd:sequence> <!-- BAL - end 2011-10-18 additions to address gaps with DTCC requirements --> <xsd:element minOccurs="0" name="amendment" type="TradeAmendmentContent"/> <!-- modified from the below for SDR reporting, BAL 2011-03 <xsd:element name="trade" type="Trade"/> <xsd:element name="amendment" type="TradeAmendmentContent"/> --> <xsd:element minOccurs="0" name="increase" type="TradeNotionalChange"/> <xsd:sequence> <xsd:element minOccurs="0" name="terminatingEvent" type="TerminatingEvent"/> <xsd:element minOccurs="0" name="termination" type="TradeNotionalChange"/> </xsd:sequence> <xsd:element minOccurs="0" name="novation" type="TradeNovationContent"/> <xsd:element minOccurs="0" name="optionExercise" type="OptionExercise"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="optionExpiry" type="OptionExpiry"> <!-- made repeatable so multiple options expiring can be specified in a single message --> </xsd:element> <xsd:element minOccurs="0" name="deClear" type="DeClear"/> <xsd:element minOccurs="0" ref="additionalEvent"> <xsd:annotation> <xsd:documentation xml:lang="en"> The additionalEvent element is an extension/substitution point to customize FpML and add additional events. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <xsd:group name="EventValuation.model"> <xsd:annotation> <xsd:documentation> A model group holding valuation information for an event. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="quote" type="BasicQuotation"> <xsd:annotation> <xsd:documentation xml:lang="en">Pricing information for the trade.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="MaturityAndExpiryEvents.model"> <xsd:choice> <xsd:element minOccurs="0" name="optionExpiry" type="OptionExpiryBase"/> <xsd:element minOccurs="0" name="tradeMaturity" type="TradeMaturity"/> </xsd:choice> </xsd:group> <xsd:group name="ProposedMatch.model"> <xsd:sequence> <xsd:element minOccurs="0" name="matchId" type="MatchId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A unique identifier assigned by the matching service to each set of matched positions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="difference" type="TradeDifference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type used to record the details of a difference between two sides of a business event. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="matchScore" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Numeric score to represent the quality of the match. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="TradeAlterationPayment.model"> <xsd:annotation> <xsd:documentation>A model group defining a payment structure.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="payment" type="Payment"> <xsd:annotation> <xsd:documentation> Describes a payment made in settlement of the change. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="TradeReferenceInformation.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines a model group that allows information about a trade to be represented. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="tradeReferenceInformation" type="TradeReferenceInformation"> <xsd:annotation> <xsd:documentation xml:lang="en">Information about a trade.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="TradeReferenceInformationContents.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines a model group that allows trade identifiers and/or trade information to be represented. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="originatingEvent" type="OriginatingEvent"/> <xsd:element minOccurs="0" name="terminatingEvent" type="TerminatingEvent"/> </xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyTradeIdentifier" type="PartyTradeIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en"> This allows the acknowledging party to supply additional trade identifiers for a trade underlying a request relating to a business event. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyTradeInformation" type="PartyTradeInformation"> <xsd:annotation> <xsd:documentation xml:lang="en"> This allows the acknowledging party to supply additional trade information about a trade underlying a request relating to a business event. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="productType" type="ProductType"/> <xsd:element minOccurs="0" name="productId" type="ProductId"/> </xsd:sequence> </xsd:group> <xsd:group name="TradeOrInfo.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines a model group that allows either details of an event or information about a trade to be provided. Typically this will be used in a response to a request. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="originatingEvent" type="OriginatingEvent"/> <xsd:element minOccurs="0" name="trade" type="Trade"/> </xsd:sequence> <xsd:group ref="TradeReferenceInformation.model"/> </xsd:choice> </xsd:group> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.